RadialDimention Rhino6

Hello,
Since Rhino6 i keep getting errors when trying to use radial dimension from rhino common.

This code results in an error:

In Grasshopper:
FabTools, “Diameter Dimention” component doesn’t work anymore
Elefront, “Define Radial Dimension” older component version doesn’t work anymore, but updated version for Rhino6 works

my Code:

radial_dimension = RadialDimension(center, point_on_curve, plane.XAxis, plane.Normal, 500) 
radial_dimension.Text = "R {}".format(radial_dimension.NumericValue*0.5) 
myDim=doc.Objects.AddRadialDimension(radial_dimension)

I get this error:
RadialDimension() takes no arguments (5 given)

What has changed in Rhino6?

Best regards,

There has been a similar post with a similar issue a couple of days ago… looks like something has been changed in Rhino 6 but not updated in the documentation maybe?

Hi @mfg,

The guide you’ve referenced has not yet been updated for Rhino 6. I’ve created a to-do item to make sure we address this.

https://mcneel.myjetbrains.com/youtrack/issue/WWW-777

The simplest way to create a radial dimension is by using the RadialDimension.Create static function. Let me know if you need an example.

– Dale

Hello Dale,
Thank you for the reply. I cant seem to get it to work, the radial_dimension in the example below returns “None”.
I would appreciate if you have some time to post a working example.

import rhinoscriptsyntax as rs
import Rhino
from Rhino.Commands import *
from Rhino.Geometry import *
from Rhino import *
from Rhino.DocObjects import *
import scriptcontext


style = scriptcontext.doc.DimStyles.Current
print style
align = Rhino.Geometry.AnnotationType.Aligned
print align
plane = rs.WorldXYPlane()
print plane


radial_dimension = Rhino.Geometry.RadialDimension.Create(style,align,plane,Point3d(0,0,0), Point3d(10,0,0), Point3d(5,0,0))
print radial_dimension


myDim=scriptcontext.doc.Objects.AddRadialDimension(radial_dimension)

Hi @mfg,

This should work:

import Rhino
import scriptcontext as sc

plane = Rhino.Geometry.Plane.WorldXY
cp = Rhino.Geometry.Point3d(2.0, 2.0, 0.0)
p1 = Rhino.Geometry.Point3d(4.0, 4.0, 0.0)
p2 = Rhino.Geometry.Point3d(8.0, 6.0, 0.0)

style = sc.doc.DimStyles.Current
if (style.LeaderContentAngleType == Rhino.DocObjects.DimensionStyle.LeaderContentAngleStyle.Aligned):
    p2.Y = 8.0

dim = Rhino.Geometry.RadialDimension.Create(style, Rhino.Geometry.AnnotationType.Radius, plane, cp, p1, p2)
if dim:
    sc.doc.Objects.Add(dim)
    sc.doc.Views.Redraw()

– Dale

Great, Thank you Dale